> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Get image metadata by ID

GET https://api.fiftytwo.com/masterdata/images/v1/chain/{chain}/{id}/metadata

Retrieves metadata for a specific image including dimensions, content type, size, and upload information.
The imageId is an MD5 hash (32 character hex string) of the image content.
Metadata is stored per chain.
            
**Example Request:**
```
GET /images/v1/chain/1/7af0a3950a162be27488d0c1f292f9ab/metadata
```

Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/images/get-image-metadata

## Request

### Path parameters

- `chain` (integer, required) — The ID of the chain
- `id` (string, required) — The image ID (MD5 hash, 32 character hex string)

## Response

### 200

Image metadata retrieved successfully

## Errors

### 404 Not Found Error

Image with the specified ID was not found

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

## Examples

**Response**

```json
{
  "contentType": "image/webp",
  "height": 600,
  "imageId": "7af0a3950a162be27488d0c1f292f9ab",
  "originalFileName": "product-photo.jpg",
  "quality": "medium",
  "size": 2048,
  "uploadedAt": "2025-01-15T10:30:00Z",
  "width": 800
}
```

**SDK Code**

```python Images_GetImageMetadata_example
import requests

url = "https://api.fiftytwo.com/masterdata/images/v1/chain/1/id/metadata"

response = requests.get(url)

print(response.json())
```

```javascript Images_GetImageMetadata_example
const url = 'https://api.fiftytwo.com/masterdata/images/v1/chain/1/id/metadata';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Images_GetImageMetadata_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/images/v1/chain/1/id/metadata"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Images_GetImageMetadata_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/images/v1/chain/1/id/metadata")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Images_GetImageMetadata_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fiftytwo.com/masterdata/images/v1/chain/1/id/metadata")
  .asString();
```

```php Images_GetImageMetadata_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fiftytwo.com/masterdata/images/v1/chain/1/id/metadata');

echo $response->getBody();
```

```csharp Images_GetImageMetadata_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/images/v1/chain/1/id/metadata");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Images_GetImageMetadata_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/images/v1/chain/1/id/metadata")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```